<?php

if ( !defined( 'VIBE_URL' ) )
define('VIBE_URL',get_template_directory_uri());

    add_action('wplms_customizer_custom_css','custom_wplms_styling');

    add_filter('wplms_customizer_config','add_p4header_style_in_customizer');


    function add_p4header_style_in_customizer($args){
    	$args['header']['header_style']['choices']['p4style'] = 'P4 Header';
    	return $args;
    }


    function custom_wplms_styling(){
    	?>
    	section#p4header_content {
            text-align: center;
            padding: 120px 0 30px 0;font-size:16px;font-weight:600;
            <?php
            	if(is_user_logged_in()){
            		$user_id = get_current_user_id();
            		if(function_exists('bp_attachments_get_attachment')){
            			 $cover_src = bp_attachments_get_attachment( 'url', array(
                                        'item_id'   => $user_id,
                                    ) );
            			echo 'background:url("'.$cover_src.'") no-repeat center center;
            			background-size:cover;';
            		}
            	}
            ?>
            color:#fff;
        }
        section#p4header_content a{color:#fff;}
        section#p4header_content img{border-radius:50%;box-shadow:0 0 5px rgba(0,0,0,0.2);margin-bottom:15px;}
        	<?php
    }

   